FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridLinearRayIntegrator

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkUnstructuredGridLinearRayIntegrator performs piecewise linear ray integration. Considering that transfer functions in VTK are piecewise linear, this class should give the "correct" integration under most circumstances. However, the computations performed are fairly hefty and should, for the most part, only be used as a benchmark for other, faster methods.

To create an instance of class vtkUnstructuredGridLinearRayIntegrator, simply invoke its constructor as follows

      obj = vtkUnstructuredGridLinearRayIntegrator

# Methods

The class vtkUnstructuredGridLinearRayIntegrator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridLinearRayIntegrator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridLinearRayIntegrator = obj.NewInstance ()`
- `vtkUnstructuredGridLinearRayIntegrator = obj.SafeDownCast (vtkObject o)`
- `obj.Initialize (vtkVolume volume, vtkDataArray scalars)`
- `obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])`